import { ComponentFixture, TestBed } from '@angular/core/testing';

import { HeatStackDetailsTemplateComponent } from './heat-stack-details-template.component';
import { RouterTestingModule } from '@angular/router/testing';
import { HttpClientTestingModule } from '@angular/common/http/testing';
import { MatSnackBarModule } from '@angular/material/snack-bar';
import { MatDialogModule } from '@angular/material/dialog';
import { UiModule } from '@shared/ui/ui.module';

describe('HeatStackDetailsTemplateComponent', () => {
  let component: HeatStackDetailsTemplateComponent;
  let fixture: ComponentFixture<HeatStackDetailsTemplateComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [HeatStackDetailsTemplateComponent],
      imports: [RouterTestingModule, HttpClientTestingModule, MatSnackBarModule, MatDialogModule, UiModule],
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(HeatStackDetailsTemplateComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
